.modal-target {
  cursor: pointer;
  transition: 0.3s;
}

.modal-target:hover {
  opacity: 0.7;
}

#modal {
  display: none;
  position: fixed;
  z-index: 9999;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: rgba(0, 0, 0, 0.8);
  align-content: center;
  align-items: center;
}

#modal-content {
  margin: auto;
  width: auto;
  height: auto;
  max-width: 90vw;
  max-height: 90vh;
  display: block;
  opacity: 1;
  animation-name: zoom-in;
  animation-duration: 0.3s;
}

@keyframes zoom-in {
  from {
    transform: scale(0)
  }
  to {
    transform: scale(1)
  }
}

.zoom-out {
  animation-name: zoom-out;
  animation-duration: 0.3s;
}

@keyframes zoom-out {
  from {
    transform: scale(1)
  }
  to {
    transform: scale(0)
  }
}

#modal-close {
  position: absolute;
  cursor: pointer;
  top: 1rem;
  right: 2rem;
  color: #f1f1f1;
  font-size: 40px;
  font-weight: bold;
  transition: 0.3s;
}

#modal-close:hover,
#modal-close:focus {
  color: #bbb;
  text-decoration: none;
}
